# mongoc_collection_drop()

## Synopsis

    bool
    mongoc_collection_drop (mongoc_collection_t *collection,
                            bson_error_t        *error);

## Parameters

collection | A mongoc_collection_t.
error | An optional location for a bson_error_t or NULL.

## Description

This function requests that a collection be dropped, including all indexes associated with the collection.

## Errors

Errors are propagated via the error parameter.

## Returns

Returns true if the collection was successfully dropped. Otherwise false and error is set.